## cdrtools 3.02~2024.03.21

=== debian/changelog ===
cdrtools (2:3.02~2024.03.21-fm5) unstable; urgency=medium

  * Apply cddb-patch to cdda2wav. See "https://gnudb.org/info.php".

 -- Friedhelm Mehnert <friedhelm@friedhelms.net>  Thu, 02 Oct 2025 18:50:14 +0200

cdrtools (2:3.02~2024.03.21-fm4) unstable; urgency=medium

  * Make it build with gcc-15

 -- Friedhelm Mehnert <friedhelm@friedhelms.net>  Thu, 04 Sep 2025 18:59:09 +0200

cdrtools (2:3.02~2024.03.21-fm3) unstable; urgency=medium

  * Fix 2 faulty patches to build with riscv64 and armv8l.
  * Update documentation.

 -- Friedhelm Mehnert <friedhelm@friedhelms.net>  Mon, 11 Aug 2025 15:09:53 +0200

cdrtools (2:3.02~2024.03.21-fm1) unstable; urgency=medium

  * Import NEW RELEASE 2024-03-21.

 -- Friedhelm Mehnert <friedhelm@friedhelms.net>  Thu, 21 Mar 2024 20:14:42 +0100

cdrtools (2:3.02~2023.09.28-fm3) unstable; urgency=medium

  * Add symlinks for armv8l. This is needed when building using
    the Open Suse Build Service, since their build system builds
    armv7l on a virtual armv8l machine.

  * Update copyright notices to 2024.

 -- Friedhelm Mehnert <friedhelm@friedhelms.net>  Tue, 19 Mar 2024 00:45:16 +0100

cdrtools (2:3.02~2023.09.28-fm2) unstable; urgency=medium

  * Add experimental build for riscv64.
    This has not been tested and may not work.

 -- Friedhelm Mehnert <friedhelm@friedhelms.net>  Tue, 17 Oct 2023 16:49:09 +0200

cdrtools (2:3.02~2023.09.28-fm1) unstable; urgency=medium

  * Import NEW RELEASE 2023-09-28.
  * This is mainly a bugfix release.
  * Refresh patches.

 -- Friedhelm Mehnert <friedhelm@friedhelms.net>  Fri, 29 Sep 2023 07:50:03 +0200

cdrtools (2:3.02~2023.04.19-fm2) unstable; urgency=medium

  * Remove "btcflash".
    It is also in package "dvd+rw-tools" and caused dependency conflicts with
    that package and packages which depend on it, like "dvdstyler".
    If you need "btcflash" please install "dvd+rw-tools".

 -- Friedhelm Mehnert <friedhelm@friedhelms.net>  Mon, 24 Jul 2023 15:18:26 +0200

cdrtools (2:3.02~2023.04.19-fm1) unstable; urgency=medium

  * Import NEW RELEASE 2023-04-19.
  * Refresh patches.

 -- Friedhelm Mehnert <friedhelm@friedhelms.net>  Thu, 20 Apr 2023 08:31:56 +0200

cdrtools (2:3.02~2023.01.12-fm4) unstable; urgency=medium

  * Use GNU make for building.
  * We no longer use the bootstrap Smake.

 -- Friedhelm Mehnert <friedhelm@friedhelms.net>  Sat, 18 Mar 2023 20:27:52 +0100

cdrtools (2:3.02~2023.01.12-fm3) unstable; urgency=low

  * Reorganize handling of patches. Convert entire source to utf-8
    instead of converting only selected files.

 -- Friedhelm Mehnert <friedhelm@friedhelms.net>  Sun, 05 Feb 2023 12:40:06 +0100

cdrtools (2:3.02~2023.01.12-fm2) unstable; urgency=medium

  * Import NEW RELEASE 2023-01-12.
  * Refresh patches.
  * Update documentation.
  * Add build for ppc64el.

 -- Friedhelm Mehnert <friedhelm@friedhelms.net>  Sat, 21 Jan 2023 15:00:00 +0100

cdrtools (2:3.02~2022.10.16-fm3) unstable; urgency=low

  * Improve hardening.

 -- Friedhelm Mehnert <friedhelm@friedhelms.net>  Fri, 23 Dec 2022 21:19:34 +0100

cdrtools (2:3.02~2022.10.16-fm2) unstable; urgency=low

  * Some minor tweaks to the rules file.

 -- Friedhelm Mehnert <friedhelm@friedhelms.net>  Sat, 26 Nov 2022 12:12:12 +0100

cdrtools (2:3.02~2022.10.16-fm1) unstable; urgency=medium

  * Import NEW RELEASE 2022-10-16.

 -- Friedhelm Mehnert <friedhelm@friedhelms.net>  Sun, 16 Oct 2022 20:13:18 +0200

cdrtools (2:3.02~2022.10.14-fm1) unstable; urgency=medium

  * Import NEW pre-elease snapshot 2022-10-14.
  * Update patches.

 -- Friedhelm Mehnert <friedhelm@friedhelms.net>  Fri, 14 Oct 2022 11:26:30 +0200

cdrtools (2:3.02~2022.09.18-fm1) unstable; urgency=medium

  * Import NEW RELEASE 3.02~2022-09-18.
  * Move diagnostics to "/usr/sbin".
  * Update patches.
  * Update documentation.
  * Bump epoch to 2.

 -- Friedhelm Mehnert <friedhelm@friedhelms.net>  Sun, 18 Sep 2022 09:35:08 +0200

cdrtools (1:3.02beta~2022.08.18-fm1) unstable; urgency=medium

  * NEW BETA pre release.
  * Update patches.
  * Bump Standard to 4.3.0.
  * Bump compat to 12.

 -- Friedhelm Mehnert <friedhelm@friedhelms.net>  Fri, 19 Aug 2022 01:30:28 +0200

cdrtools (1:3.02a10~2022.07.31-fm1) unstable; urgency=medium

  * Import NEW upstream pre-release snapshot 2022.07.31.
  * Remove no-register-patch now handled upstream.
  * Some tweaks to silence some compiler warnings.

 -- Friedhelm Mehnert <friedhelm@friedhelms.net>  Sun, 31 Jul 2022 21:54:40 +0200

cdrtools (1:3.02a10~2022.06.21-fm1) unstable; urgency=medium

  * Import NEW upstream pre-release snapshot 2022.06.21.
  * Remove more-spelling-errors-patch now applied upstream.
  * Add fix-spelling-patch not applied upstream.
  * Modify rules file (./clean script was fixed by upstream).
  * Old and obsolete README's don't get installed any longer.
  * Fix whitespace errors.

 -- Friedhelm Mehnert <friedhelm@friedhelms.net>  Wed, 22 Jun 2022 22:28:08 +0200

cdrtools (1:3.02a10~2022.06.19-fm1) unstable; urgency=medium

  * Import NEW upstream pre-release snapshot 2022.06.19.
  * Add CONTRIBUTORS to the docs.
  * Remove patches now applied upstream.
  * Add a patch to fix a location within manpages.
  * Add a patch to fix spelling errors not fixed upstream.

 -- Friedhelm Mehnert <friedhelm@friedhelms.net>  Mon, 20 Jun 2022 06:24:06 +0200

cdrtools (1:3.02a10~2021.09.18-fm6) unstable; urgency=medium

  * This is a bugfix release.
  * There was a permission problem with mkisofs when doing
    multisession images.

 -- Friedhelm Mehnert <friedhelm@friedhelms.net>  Sat, 07 May 2022 20:10:11 +0200

cdrtools (1:3.02a10~2021.09.18-fm5) unstable; urgency=medium

  * Fixed lots of spelling errors. Forwarded these patches upstream.
  * Changed some manpages to satisfy lintian.
  * Moved stuff from rules to postinst, so rules does not need root.
  * Changed compiler and linker flags for more security.

 -- Friedhelm Mehnert <friedhelm@friedhelms.net>  Sat, 07 May 2022 09:53:35 +0200


