=== debian/control ===
Source: cdrtools
Section: otherosfs
Priority: optional
Origin: friedhelms.net
Homepage: http://www.friedhelms.net/debian/
Maintainer: Friedhelm Mehnert <friedhelm@friedhelms.net>
XBSC-Comment: This package is based on the git repo https://codeberg.org/schilytools/schilytools.
Build-Depends: debhelper-compat (= 12) , libext2fs-dev (>= 1.44.5) , libcap-dev , zlib1g-dev
Standards-Version: 4.3.0
Rules-Requires-Root: no

Package: cdrtools
Architecture: any
Multi-arch: foreign
Depends: ${shlibs:Depends} , ${misc:Depends}
Provides: wodim, genisoimage
Conflicts: wodim, genisoimage, icedax
Replaces: wodim, genisoimage, icedax
Recommends: libcap2-bin
Description: The ORIGINAL from Joerg Schilling
 Cdrtools is a set of command line programs for recording of
 CD/DVD/BluRay media.
